package br.org.javadecompiler.insn;

public final class BytecodeInstructions {
	public static final int
	INSN_AALOAD          = 0x32,
	INSN_AASTORE         = 0x53,
	INSN_ACONST_NULL     = 0x01,
	INSN_ALOAD           = 0x19,
	INSN_ALOAD_0         = 0x2A,
	INSN_ALOAD_1         = 0x2B,
	INSN_ALOAD_2         = 0x2C,
	INSN_ALOAD_3         = 0x2D,
	INSN_ANEWARRAY       = 0xBD,
	INSN_ARETURN         = 0xB0,
	INSN_ARRAYLENGTH     = 0xBE,
	INSN_ASTORE          = 0x3A,
	INSN_ASTORE_0        = 0x4B,
	INSN_ASTORE_1        = 0x4c,
	INSN_ASTORE_2        = 0x4D,
	INSN_ASTORE_3        = 0x4E,
	INSN_ATHROW          = 0xBF,
	INSN_BALOAD          = 0x33,
	INSN_BASTORE         = 0x54,
	INSN_BIPUSH          = 0x10,
	INSN_CALOAD          = 0x34,
	INSN_CASTORE         = 0x55,
	INSN_CHECKCAST       = 0xC0,
	INSN_D2F             = 0x90,
	INSN_D2I             = 0x8E,
	INSN_D2L             = 0x8F,
	INSN_DADD            = 0x63,
	INSN_DALOAD          = 0x31,
	INSN_DASTORE         = 0x52,
	INSN_DCMPG           = 0x98,
	INSN_DCMPL           = 0x97,
	INSN_DCONST_0        = 0x0E,
	INSN_DCONST_1        = 0x0F,
	INSN_DDIV            = 0x6F,
	INSN_DLOAD           = 0x18,
	INSN_DLOAD_0         = 0x26,
	INSN_DLOAD_1         = 0x27,
	INSN_DLOAD_2         = 0x28,
	INSN_DLOAD_3         = 0x29,
	INSN_DMUL            = 0x6B,
	INSN_DNEG            = 0x77,
	INSN_DREM            = 0x73,
	INSN_DRETURN         = 0xAF,
	INSN_DSTORE          = 0x39,
	INSN_DSTORE_0        = 0x47,
	INSN_DSTORE_1        = 0x48,
	INSN_DSTORE_2        = 0x49,
	INSN_DSTORE_3        = 0x4A,
	INSN_DSUB            = 0x67,
	INSN_DUP             = 0x59,
	INSN_DUP_X1          = 0x5A,
	INSN_DUP_X2          = 0x5B,
	INSN_DUP2            = 0x5C,
	INSN_DUP2_X1         = 0x5D,
	INSN_DUP2_X2         = 0x5E,
	INSN_F2D             = 0x8D,
	INSN_F2I             = 0x8B,
	INSN_F2L             = 0x8C,
	INSN_FADD            = 0x62,
	INSN_FALOAD          = 0x30,
	INSN_FASTORE         = 0x51,
	INSN_FCMPG           = 0x96,
	INSN_FCMPL           = 0x95,
	INSN_FCONST_0        = 0x0B,
	INSN_FCONST_1        = 0x0C,
	INSN_FCONST_2        = 0x0D,
	INSN_FDIV            = 0x6E,
	INSN_FLOAD           = 0x17,
	INSN_FLOAD_0         = 0x22,
	INSN_FLOAD_1         = 0x23,
	INSN_FLOAD_2         = 0x24,
	INSN_FLOAD_3         = 0x25,
	INSN_FMUL            = 0x6A,
	INSN_FNEG            = 0x76,
	INSN_FREM            = 0x72,
	INSN_FRETURN         = 0xAE,
	INSN_FSTORE          = 0x38,
	INSN_FSTORE_0        = 0x43,
	INSN_FSTORE_1        = 0x44,
	INSN_FSTORE_2        = 0x45,
	INSN_FSTORE_3        = 0x46,
	INSN_FSUB            = 0x66,
	INSN_GETFIELD        = 0xB4,
	INSN_GETSTATIC       = 0xB2,
	INSN_GOTO            = 0xA7,
	INSN_GOTO_W          = 0xC8,
	INSN_I2B             = 0x91,
	INSN_I2C             = 0x92,
	INSN_I2D             = 0x87,
	INSN_I2F             = 0x86,
	INSN_I2L             = 0x85,
	INSN_I2S             = 0x93,
	INSN_IADD            = 0x60,
	INSN_IALOAD          = 0x2E,
	INSN_IAND            = 0x7E,
	INSN_IASTORE         = 0x4F,
	INSN_ICONST_M1       = 0x02,
	INSN_ICONST_0        = 0x03,
	INSN_ICONST_1        = 0x04,
	INSN_ICONST_2        = 0x05,
	INSN_ICONST_3        = 0x06,
	INSN_ICONST_4        = 0x07,
	INSN_ICONST_5        = 0x08,
	INSN_IDIV            = 0x6C,
	INSN_IF_ACMPEQ       = 0xA5,
	INSN_IF_ACMPNE       = 0xA6,
	INSN_IF_ICMPEQ       = 0x9F,
	INSN_IF_ICMPNE       = 0xA0,
	INSN_IF_ICMPLT       = 0xA1,
	INSN_IF_ICMPGE       = 0xA2,
	INSN_IF_ICMPGT       = 0xA3,
	INSN_IF_ICMPLE       = 0xA4,
	INSN_IFEQ            = 0x99,
	INSN_IFNE            = 0x9A,
	INSN_IFLT            = 0x9B,
	INSN_IFGE            = 0x9C,
	INSN_IFGT            = 0x9D,
	INSN_IFLE            = 0x9E,
	INSN_IFNONNULL       = 0xC7,
	INSN_IFNULL          = 0xC6,
	INSN_IINC            = 0x84,
	INSN_ILOAD           = 0x15,
	INSN_ILOAD_0         = 0x1A,
	INSN_ILOAD_1         = 0x1B,
	INSN_ILOAD_2         = 0x1C,
	INSN_ILOAD_3         = 0x1D,
	INSN_IMUL            = 0x68,
	INSN_INEG            = 0x74,
	INSN_INSTANCEOF      = 0xC1,
	INSN_INVOKEDYNAMIC   = 0xBA,
	INSN_INVOKEINTERFACE = 0xB9,
	INSN_INVOKESPECIAL   = 0xB7,
	INSN_INVOKESTATIC    = 0xB8,
	INSN_INVOKEVIRTUAL   = 0xB6,
	INSN_IOR             = 0x80,
	INSN_IREM            = 0x70,
	INSN_IRETURN         = 0xAC,
	INSN_ISHL            = 0x78,
	INSN_ISHR            = 0x7A,
	INSN_ISTORE          = 0x36,
	INSN_ISTORE_0        = 0x3B,
	INSN_ISTORE_1        = 0x3C,
	INSN_ISTORE_2        = 0x3D,
	INSN_ISTORE_3        = 0x3E,
	INSN_ISUB            = 0x64,
	INSN_IUSHR           = 0x7C,
	INSN_IXOR            = 0x82,
	INSN_JSR             = 0xA8,
	INSN_JSR_W           = 0xC9,
	INSN_L2D             = 0x8A,
	INSN_L2F             = 0x89,
	INSN_L2I             = 0x88,
	INSN_LADD            = 0x61,
	INSN_LALOAD          = 0x2F,
	INSN_LAND            = 0x7F,
	INSN_LASTORE         = 0x50,
	INSN_LCMP            = 0x94,
	INSN_LCONST_0        = 0x09,
	INSN_LCONST_1        = 0x0A,
	INSN_LDC             = 0x12,
	INSN_LDC_W           = 0x13,
	INSN_LDC2_W          = 0x14,
	INSN_LDIV            = 0x6D,
	INSN_LLOAD           = 0x16,
	INSN_LLOAD_0         = 0x1E,
	INSN_LLOAD_1         = 0x1F,
	INSN_LLOAD_2         = 0x20,
	INSN_LLOAD_3         = 0x21,
	INSN_LMUL            = 0x69,
	INSN_LNEG            = 0x75,
	INSN_LOOKUPSWITCH    = 0xAB,
	INSN_LOR             = 0x81,
	INSN_LREM            = 0x71,
	INSN_LRETURN         = 0xAD,
	INSN_LSHL            = 0x79,
	INSN_LSHR            = 0x7B,
	INSN_LSTORE          = 0x37,
	INSN_LSTORE_0        = 0x3F,
	INSN_LSTORE_1        = 0x40,
	INSN_LSTORE_2        = 0x41,
	INSN_LSTORE_3        = 0x42,
	INSN_LSUB            = 0x65,
	INSN_LUSHR           = 0x7D,
	INSN_LXOR            = 0x83,
	INSN_MONITORENTER    = 0xC2,
	INSN_MONITOREXIT     = 0xC3,
	INSN_MULTIANEWARRAY  = 0xC5,
	INSN_NEW             = 0xBB,
	INSN_NEWARRAY        = 0xBC,
	INSN_NOP             = 0x00,
	INSN_POP             = 0x57,
	INSN_POP2            = 0x58,
	INSN_PUTFIELD        = 0xB5,
	INSN_PUTSTATIC       = 0xB3,
	INSN_RET             = 0xA9,
	INSN_RETURN          = 0xB1,
	INSN_SALOAD          = 0x35,
	INSN_SASTORE         = 0x56,
	INSN_SIPUSH          = 0x11,
	INSN_SWAP            = 0x5F,
	INSN_TABLESWITCH     = 0xAA,
	INSN_WIDE            = 0xC4;
	
	public static final String[] names = {
		/* 0x00 */ "nop",
		/* 0x01 */ "aconst_null",
		/* 0x02 */ "iconst_m1",
		/* 0x03 */ "iconst_0",
		/* 0x04 */ "iconst_1",
		/* 0x05 */ "iconst_2",
		/* 0x06 */ "iconst_3",
		/* 0x07 */ "iconst_4",
		/* 0x08 */ "iconst_5",
		/* 0x09 */ "lconst_0",
		/* 0x0a */ "lconst_1",
		/* 0x0b */ "fconst_0",
		/* 0x0c */ "fconst_1",
		/* 0x0d */ "fconst_2",
		/* 0x0e */ "dconst_0",
		/* 0x0f */ "dconst_1",
		/* 0x10 */ "bipush",
		/* 0x11 */ "sipush",
		/* 0x12 */ "ldc",
		/* 0x13 */ "ldc_w",
		/* 0x14 */ "ldc2_w",
		/* 0x15 */ "iload",
		/* 0x16 */ "lload",
		/* 0x17 */ "fload",
		/* 0x18 */ "dload",
		/* 0x19 */ "aload",
		/* 0x1a */ "iload_0",
		/* 0x1b */ "iload_1",
		/* 0x1c */ "iload_2",
		/* 0x1d */ "iload_3",
		/* 0x1e */ "lload_0",
		/* 0x1f */ "lload_1",
		/* 0x20 */ "lload_2",
		/* 0x21 */ "lload_3",
		/* 0x22 */ "fload_0",
		/* 0x23 */ "fload_1",
		/* 0x24 */ "fload_2",
		/* 0x25 */ "fload_3",
		/* 0x26 */ "dload_0",
		/* 0x27 */ "dload_1",
		/* 0x28 */ "dload_2",
		/* 0x29 */ "dload_3",
		/* 0x2a */ "aload_0",
		/* 0x2b */ "aload_1",
		/* 0x2c */ "aload_2",
		/* 0x2d */ "aload_3",
		/* 0x2e */ "iaload",
		/* 0x2f */ "laload",
		/* 0x30 */ "faload",
		/* 0x31 */ "daload",
		/* 0x32 */ "aaload",
		/* 0x33 */ "baload",
		/* 0x34 */ "caload",
		/* 0x35 */ "saload",
		/* 0x36 */ "istore",
		/* 0x37 */ "lstore",
		/* 0x38 */ "fstore",
		/* 0x39 */ "dstore",
		/* 0x3a */ "astore",
		/* 0x3b */ "istore_0",
		/* 0x3c */ "istore_1",
		/* 0x3d */ "istore_2",
		/* 0x3e */ "istore_3",
		/* 0x3f */ "lstore_0",
		/* 0x40 */ "lstore_1",
		/* 0x41 */ "lstore_2",
		/* 0x42 */ "lstore_3",
		/* 0x43 */ "fstore_0",
		/* 0x44 */ "fstore_1",
		/* 0x45 */ "fstore_2",
		/* 0x46 */ "fstore_3",
		/* 0x47 */ "dstore_0",
		/* 0x48 */ "dstore_1",
		/* 0x49 */ "dstore_2",
		/* 0x4a */ "dstore_3",
		/* 0x4b */ "astore_0",
		/* 0x4c */ "astore_1",
		/* 0x4d */ "astore_2",
		/* 0x4e */ "astore_3",
		/* 0x4f */ "iastore",
		/* 0x50 */ "lastore",
		/* 0x51 */ "fastore",
		/* 0x52 */ "dastore",
		/* 0x53 */ "aastore",
		/* 0x54 */ "bastore",
		/* 0x55 */ "castore",
		/* 0x56 */ "sastore",
		/* 0x57 */ "pop",
		/* 0x58 */ "pop2",
		/* 0x59 */ "dup",
		/* 0x5a */ "dup_x1",
		/* 0x5b */ "dup_x2",
		/* 0x5c */ "dup2",
		/* 0x5d */ "dup2_x1",
		/* 0x5e */ "dup2_x2",
		/* 0x5f */ "swap",
		/* 0x60 */ "iadd",
		/* 0x61 */ "ladd",
		/* 0x62 */ "fadd",
		/* 0x63 */ "dadd",
		/* 0x64 */ "isub",
		/* 0x65 */ "lsub",
		/* 0x66 */ "fsub",
		/* 0x67 */ "dsub",
		/* 0x68 */ "imul",
		/* 0x69 */ "lmul",
		/* 0x6a */ "fmul",
		/* 0x6b */ "dmul",
		/* 0x6c */ "idiv",
		/* 0x6d */ "ldiv",
		/* 0x6e */ "fdiv",
		/* 0x6f */ "ddiv",
		/* 0x70 */ "irem",
		/* 0x71 */ "lrem",
		/* 0x72 */ "frem",
		/* 0x73 */ "drem",
		/* 0x74 */ "ineg",
		/* 0x75 */ "lneg",
		/* 0x76 */ "fneg",
		/* 0x77 */ "dneg",
		/* 0x78 */ "ishl",
		/* 0x79 */ "lshl",
		/* 0x7a */ "ishr",
		/* 0x7b */ "lshr",
		/* 0x7c */ "iushr",
		/* 0x7d */ "lushr",
		/* 0x7e */ "iand",
		/* 0x7f */ "land",
		/* 0x80 */ "ior",
		/* 0x81 */ "lor",
		/* 0x82 */ "ixor",
		/* 0x83 */ "lxor",
		/* 0x84 */ "iinc",
		/* 0x85 */ "i2l",
		/* 0x86 */ "i2f",
		/* 0x87 */ "i2d",
		/* 0x88 */ "l2i",
		/* 0x89 */ "l2f",
		/* 0x8a */ "l2d",
		/* 0x8b */ "f2i",
		/* 0x8c */ "f2l",
		/* 0x8d */ "f2d",
		/* 0x8e */ "d2i",
		/* 0x8f */ "d2l",
		/* 0x90 */ "d2f",
		/* 0x91 */ "i2b",
		/* 0x92 */ "i2c",
		/* 0x93 */ "i2s",
		/* 0x94 */ "lcmp",
		/* 0x95 */ "fcmpl",
		/* 0x96 */ "fcmpg",
		/* 0x97 */ "dcmpl",
		/* 0x98 */ "dcmpg",
		/* 0x99 */ "ifeq",
		/* 0x9a */ "ifne",
		/* 0x9b */ "iflt",
		/* 0x9c */ "ifge",
		/* 0x9d */ "ifgt",
		/* 0x9e */ "ifle",
		/* 0x9f */ "if_icmpeq",
		/* 0xa0 */ "if_icmpne",
		/* 0xa1 */ "if_icmplt",
		/* 0xa2 */ "if_icmpge",
		/* 0xa3 */ "if_icmpgt",
		/* 0xa4 */ "if_icmple",
		/* 0xa5 */ "if_acmpeq",
		/* 0xa6 */ "if_acmpne",
		/* 0xa7 */ "goto",
		/* 0xa8 */ "jsr",
		/* 0xa9 */ "ret",
		/* 0xaa */ "tableswitch",
		/* 0xab */ "lookupswitch",
		/* 0xac */ "ireturn",
		/* 0xad */ "lreturn",
		/* 0xae */ "freturn",
		/* 0xaf */ "dreturn",
		/* 0xb0 */ "areturn",
		/* 0xb1 */ "return",
		/* 0xb2 */ "getstatic",
		/* 0xb3 */ "putstatic",
		/* 0xb4 */ "getfield",
		/* 0xb5 */ "putfield",
		/* 0xb6 */ "invokevirtual",
		/* 0xb7 */ "invokespecial",
		/* 0xb8 */ "invokestatic",
		/* 0xb9 */ "invokeinterface",
		/* 0xba */ "invokedynamic",
		/* 0xbb */ "new",
		/* 0xbc */ "newarray",
		/* 0xbd */ "anewarray",
		/* 0xbe */ "arraylength",
		/* 0xbf */ "athrow",
		/* 0xc0 */ "checkcast",
		/* 0xc1 */ "instanceof",
		/* 0xc2 */ "monitorenter",
		/* 0xc3 */ "monitorexit",
		/* 0xc4 */ "wide",
		/* 0xc5 */ "multianewarray",
		/* 0xc6 */ "ifnull",
		/* 0xc7 */ "ifnonnull",
		/* 0xc8 */ "goto_w",
		/* 0xc9 */ "jsr_w",
		/* 0xca */ null,
		/* 0xcb */ null,
		/* 0xcc */ null,
		/* 0xcd */ null,
		/* 0xce */ null,
		/* 0xcf */ null,
		/* 0xd0 */ null,
		/* 0xd1 */ null,
		/* 0xd2 */ null,
		/* 0xd3 */ null,
		/* 0xd4 */ null,
		/* 0xd5 */ null,
		/* 0xd6 */ null,
		/* 0xd7 */ null,
		/* 0xd8 */ null,
		/* 0xd9 */ null,
		/* 0xda */ null,
		/* 0xdb */ null,
		/* 0xdc */ null,
		/* 0xdd */ null,
		/* 0xde */ null,
		/* 0xdf */ null,
		/* 0xe0 */ null,
		/* 0xe1 */ null,
		/* 0xe2 */ null,
		/* 0xe3 */ null,
		/* 0xe4 */ null,
		/* 0xe5 */ null,
		/* 0xe6 */ null,
		/* 0xe7 */ null,
		/* 0xe8 */ null,
		/* 0xe9 */ null,
		/* 0xea */ null,
		/* 0xeb */ null,
		/* 0xec */ null,
		/* 0xed */ null,
		/* 0xee */ null,
		/* 0xef */ null,
		/* 0xf0 */ null,
		/* 0xf1 */ null,
		/* 0xf2 */ null,
		/* 0xf3 */ null,
		/* 0xf4 */ null,
		/* 0xf5 */ null,
		/* 0xf6 */ null,
		/* 0xf7 */ null,
		/* 0xf8 */ null,
		/* 0xf9 */ null,
		/* 0xfa */ null,
		/* 0xfb */ null,
		/* 0xfc */ null,
		/* 0xfd */ null,
		/* 0xfe */ null,
		/* 0xff */ null
	};
	
	public static final int
	FORMAT_INVALID      = 0, 
	FORMAT_NOARGS       = 1,
	FORMAT_LOCALVAR     = 2,
	FORMAT_CONSTANT     = 3,
	FORMAT_CONSTANT_W   = 4,
	FORMAT_IINC         = 5,
	FORMAT_BRANCH       = 6,
	FORMAT_BRANCH_W     = 7,
	FORMAT_TABLESWITCH  = 8,
	FORMAT_LOOKUPSWITCH = 9,
	FORMAT_ARRAY        = 10,
	FORMAT_MULTIARRAY   = 11,
	FORMAT_WIDE         = 12;
	
	public static final int[] byteCodeFormat = {
		/* 0x00 */ FORMAT_NOARGS,
		/* 0x01 */ FORMAT_NOARGS,
		/* 0x02 */ FORMAT_NOARGS,
		/* 0x03 */ FORMAT_NOARGS,
		/* 0x04 */ FORMAT_NOARGS,
		/* 0x05 */ FORMAT_NOARGS,
		/* 0x06 */ FORMAT_NOARGS,
		/* 0x07 */ FORMAT_NOARGS,
		/* 0x08 */ FORMAT_NOARGS,
		/* 0x09 */ FORMAT_NOARGS,
		/* 0x0a */ FORMAT_NOARGS,
		/* 0x0b */ FORMAT_NOARGS,
		/* 0x0c */ FORMAT_NOARGS,
		/* 0x0d */ FORMAT_NOARGS,
		/* 0x0e */ FORMAT_NOARGS,
		/* 0x0f */ FORMAT_NOARGS,
		/* 0x10 */ FORMAT_LOCALVAR,
		/* 0x11 */ FORMAT_LOCALVAR,
		/* 0x12 */ FORMAT_CONSTANT,
		/* 0x13 */ FORMAT_CONSTANT_W,
		/* 0x14 */ FORMAT_CONSTANT_W,
		/* 0x15 */ FORMAT_LOCALVAR,
		/* 0x16 */ FORMAT_LOCALVAR,
		/* 0x17 */ FORMAT_LOCALVAR,
		/* 0x18 */ FORMAT_LOCALVAR,
		/* 0x19 */ FORMAT_LOCALVAR,
		/* 0x1a */ FORMAT_NOARGS,
		/* 0x1b */ FORMAT_NOARGS,
		/* 0x1c */ FORMAT_NOARGS,
		/* 0x1d */ FORMAT_NOARGS,
		/* 0x1e */ FORMAT_NOARGS,
		/* 0x1f */ FORMAT_NOARGS,
		/* 0x20 */ FORMAT_NOARGS,
		/* 0x21 */ FORMAT_NOARGS,
		/* 0x22 */ FORMAT_NOARGS,
		/* 0x23 */ FORMAT_NOARGS,
		/* 0x24 */ FORMAT_NOARGS,
		/* 0x25 */ FORMAT_NOARGS,
		/* 0x26 */ FORMAT_NOARGS,
		/* 0x27 */ FORMAT_NOARGS,
		/* 0x28 */ FORMAT_NOARGS,
		/* 0x29 */ FORMAT_NOARGS,
		/* 0x2a */ FORMAT_NOARGS,
		/* 0x2b */ FORMAT_NOARGS,
		/* 0x2c */ FORMAT_NOARGS,
		/* 0x2d */ FORMAT_NOARGS,
		/* 0x2e */ FORMAT_NOARGS,
		/* 0x2f */ FORMAT_NOARGS,
		/* 0x30 */ FORMAT_NOARGS,
		/* 0x31 */ FORMAT_NOARGS,
		/* 0x32 */ FORMAT_NOARGS,
		/* 0x33 */ FORMAT_NOARGS,
		/* 0x34 */ FORMAT_NOARGS,
		/* 0x35 */ FORMAT_NOARGS,
		/* 0x36 */ FORMAT_LOCALVAR,
		/* 0x37 */ FORMAT_LOCALVAR,
		/* 0x38 */ FORMAT_LOCALVAR,
		/* 0x39 */ FORMAT_LOCALVAR,
		/* 0x3a */ FORMAT_LOCALVAR,
		/* 0x3b */ FORMAT_NOARGS,
		/* 0x3c */ FORMAT_NOARGS,
		/* 0x3d */ FORMAT_NOARGS,
		/* 0x3e */ FORMAT_NOARGS,
		/* 0x3f */ FORMAT_NOARGS,
		/* 0x40 */ FORMAT_NOARGS,
		/* 0x41 */ FORMAT_NOARGS,
		/* 0x42 */ FORMAT_NOARGS,
		/* 0x43 */ FORMAT_NOARGS,
		/* 0x44 */ FORMAT_NOARGS,
		/* 0x45 */ FORMAT_NOARGS,
		/* 0x46 */ FORMAT_NOARGS,
		/* 0x47 */ FORMAT_NOARGS,
		/* 0x48 */ FORMAT_NOARGS,
		/* 0x49 */ FORMAT_NOARGS,
		/* 0x4a */ FORMAT_NOARGS,
		/* 0x4b */ FORMAT_NOARGS,
		/* 0x4c */ FORMAT_NOARGS,
		/* 0x4d */ FORMAT_NOARGS,
		/* 0x4e */ FORMAT_NOARGS,
		/* 0x4f */ FORMAT_NOARGS,
		/* 0x50 */ FORMAT_NOARGS,
		/* 0x51 */ FORMAT_NOARGS,
		/* 0x52 */ FORMAT_NOARGS,
		/* 0x53 */ FORMAT_NOARGS,
		/* 0x54 */ FORMAT_NOARGS,
		/* 0x55 */ FORMAT_NOARGS,
		/* 0x56 */ FORMAT_NOARGS,
		/* 0x57 */ FORMAT_NOARGS,
		/* 0x58 */ FORMAT_NOARGS,
		/* 0x59 */ FORMAT_NOARGS,
		/* 0x5a */ FORMAT_NOARGS,
		/* 0x5b */ FORMAT_NOARGS,
		/* 0x5c */ FORMAT_NOARGS,
		/* 0x5d */ FORMAT_NOARGS,
		/* 0x5e */ FORMAT_NOARGS,
		/* 0x5f */ FORMAT_NOARGS,
		/* 0x60 */ FORMAT_NOARGS,
		/* 0x61 */ FORMAT_NOARGS,
		/* 0x62 */ FORMAT_NOARGS,
		/* 0x63 */ FORMAT_NOARGS,
		/* 0x64 */ FORMAT_NOARGS,
		/* 0x65 */ FORMAT_NOARGS,
		/* 0x66 */ FORMAT_NOARGS,
		/* 0x67 */ FORMAT_NOARGS,
		/* 0x68 */ FORMAT_NOARGS,
		/* 0x69 */ FORMAT_NOARGS,
		/* 0x6a */ FORMAT_NOARGS,
		/* 0x6b */ FORMAT_NOARGS,
		/* 0x6c */ FORMAT_NOARGS,
		/* 0x6d */ FORMAT_NOARGS,
		/* 0x6e */ FORMAT_NOARGS,
		/* 0x6f */ FORMAT_NOARGS,
		/* 0x70 */ FORMAT_NOARGS,
		/* 0x71 */ FORMAT_NOARGS,
		/* 0x72 */ FORMAT_NOARGS,
		/* 0x73 */ FORMAT_NOARGS,
		/* 0x74 */ FORMAT_NOARGS,
		/* 0x75 */ FORMAT_NOARGS,
		/* 0x76 */ FORMAT_NOARGS,
		/* 0x77 */ FORMAT_NOARGS,
		/* 0x78 */ FORMAT_NOARGS,
		/* 0x79 */ FORMAT_NOARGS,
		/* 0x7a */ FORMAT_NOARGS,
		/* 0x7b */ FORMAT_NOARGS,
		/* 0x7c */ FORMAT_NOARGS,
		/* 0x7d */ FORMAT_NOARGS,
		/* 0x7e */ FORMAT_NOARGS,
		/* 0x7f */ FORMAT_NOARGS,
		/* 0x80 */ FORMAT_NOARGS,
		/* 0x81 */ FORMAT_NOARGS,
		/* 0x82 */ FORMAT_NOARGS,
		/* 0x83 */ FORMAT_NOARGS,
		/* 0x84 */ FORMAT_IINC  ,
		/* 0x85 */ FORMAT_NOARGS,
		/* 0x86 */ FORMAT_NOARGS,
		/* 0x87 */ FORMAT_NOARGS,
		/* 0x88 */ FORMAT_NOARGS,
		/* 0x89 */ FORMAT_NOARGS,
		/* 0x8a */ FORMAT_NOARGS,
		/* 0x8b */ FORMAT_NOARGS,
		/* 0x8c */ FORMAT_NOARGS,
		/* 0x8d */ FORMAT_NOARGS,
		/* 0x8e */ FORMAT_NOARGS,
		/* 0x8f */ FORMAT_NOARGS,
		/* 0x90 */ FORMAT_NOARGS,
		/* 0x91 */ FORMAT_NOARGS,
		/* 0x92 */ FORMAT_NOARGS,
		/* 0x93 */ FORMAT_NOARGS,
		/* 0x94 */ FORMAT_NOARGS,
		/* 0x95 */ FORMAT_NOARGS,
		/* 0x96 */ FORMAT_NOARGS,
		/* 0x97 */ FORMAT_NOARGS,
		/* 0x98 */ FORMAT_NOARGS,
		/* 0x99 */ FORMAT_BRANCH,
		/* 0x9a */ FORMAT_BRANCH,
		/* 0x9b */ FORMAT_BRANCH,
		/* 0x9c */ FORMAT_BRANCH,
		/* 0x9d */ FORMAT_BRANCH,
		/* 0x9e */ FORMAT_BRANCH,
		/* 0x9f */ FORMAT_BRANCH,
		/* 0xa0 */ FORMAT_BRANCH,
		/* 0xa1 */ FORMAT_BRANCH,
		/* 0xa2 */ FORMAT_BRANCH,
		/* 0xa3 */ FORMAT_BRANCH,
		/* 0xa4 */ FORMAT_BRANCH,
		/* 0xa5 */ FORMAT_BRANCH,
		/* 0xa6 */ FORMAT_BRANCH,
		/* 0xa7 */ FORMAT_BRANCH,
		/* 0xa8 */ FORMAT_BRANCH,
		/* 0xa9 */ FORMAT_LOCALVAR,
		/* 0xaa */ FORMAT_TABLESWITCH,
		/* 0xab */ FORMAT_LOOKUPSWITCH,
		/* 0xac */ FORMAT_NOARGS,
		/* 0xad */ FORMAT_NOARGS,
		/* 0xae */ FORMAT_NOARGS,
		/* 0xaf */ FORMAT_NOARGS,
		/* 0xb0 */ FORMAT_NOARGS,
		/* 0xb1 */ FORMAT_NOARGS,
		/* 0xb2 */ FORMAT_CONSTANT_W,
		/* 0xb3 */ FORMAT_CONSTANT_W,
		/* 0xb4 */ FORMAT_CONSTANT_W,
		/* 0xb5 */ FORMAT_CONSTANT_W,
		/* 0xb6 */ FORMAT_CONSTANT_W,
		/* 0xb7 */ FORMAT_CONSTANT_W,
		/* 0xb8 */ FORMAT_CONSTANT_W,
		/* 0xb9 */ FORMAT_CONSTANT_W,
		/* 0xba */ FORMAT_CONSTANT_W,
		/* 0xbb */ FORMAT_CONSTANT_W,
		/* 0xbc */ FORMAT_ARRAY ,
		/* 0xbd */ FORMAT_CONSTANT_W,
		/* 0xbe */ FORMAT_NOARGS,
		/* 0xbf */ FORMAT_NOARGS,
		/* 0xc0 */ FORMAT_CONSTANT_W,
		/* 0xc1 */ FORMAT_CONSTANT_W,
		/* 0xc2 */ FORMAT_NOARGS,
		/* 0xc3 */ FORMAT_NOARGS,
		/* 0xc4 */ FORMAT_WIDE  ,
		/* 0xc5 */ FORMAT_MULTIARRAY,
		/* 0xc6 */ FORMAT_BRANCH,
		/* 0xc7 */ FORMAT_BRANCH,
		/* 0xc8 */ FORMAT_BRANCH_W,
		/* 0xc9 */ FORMAT_BRANCH_W,
		/* 0xca */ FORMAT_INVALID,
		/* 0xcb */ FORMAT_INVALID,
		/* 0xcc */ FORMAT_INVALID,
		/* 0xcd */ FORMAT_INVALID,
		/* 0xce */ FORMAT_INVALID,
		/* 0xcf */ FORMAT_INVALID,
		/* 0xd0 */ FORMAT_INVALID,
		/* 0xd1 */ FORMAT_INVALID,
		/* 0xd2 */ FORMAT_INVALID,
		/* 0xd3 */ FORMAT_INVALID,
		/* 0xd4 */ FORMAT_INVALID,
		/* 0xd5 */ FORMAT_INVALID,
		/* 0xd6 */ FORMAT_INVALID,
		/* 0xd7 */ FORMAT_INVALID,
		/* 0xd8 */ FORMAT_INVALID,
		/* 0xd9 */ FORMAT_INVALID,
		/* 0xda */ FORMAT_INVALID,
		/* 0xdb */ FORMAT_INVALID,
		/* 0xdc */ FORMAT_INVALID,
		/* 0xdd */ FORMAT_INVALID,
		/* 0xde */ FORMAT_INVALID,
		/* 0xdf */ FORMAT_INVALID,
		/* 0xe0 */ FORMAT_INVALID,
		/* 0xe1 */ FORMAT_INVALID,
		/* 0xe2 */ FORMAT_INVALID,
		/* 0xe3 */ FORMAT_INVALID,
		/* 0xe4 */ FORMAT_INVALID,
		/* 0xe5 */ FORMAT_INVALID,
		/* 0xe6 */ FORMAT_INVALID,
		/* 0xe7 */ FORMAT_INVALID,
		/* 0xe8 */ FORMAT_INVALID,
		/* 0xe9 */ FORMAT_INVALID,
		/* 0xea */ FORMAT_INVALID,
		/* 0xeb */ FORMAT_INVALID,
		/* 0xec */ FORMAT_INVALID,
		/* 0xed */ FORMAT_INVALID,
		/* 0xee */ FORMAT_INVALID,
		/* 0xef */ FORMAT_INVALID,
		/* 0xf0 */ FORMAT_INVALID,
		/* 0xf1 */ FORMAT_INVALID,
		/* 0xf2 */ FORMAT_INVALID,
		/* 0xf3 */ FORMAT_INVALID,
		/* 0xf4 */ FORMAT_INVALID,
		/* 0xf5 */ FORMAT_INVALID,
		/* 0xf6 */ FORMAT_INVALID,
		/* 0xf7 */ FORMAT_INVALID,
		/* 0xf8 */ FORMAT_INVALID,
		/* 0xf9 */ FORMAT_INVALID,
		/* 0xfa */ FORMAT_INVALID,
		/* 0xfb */ FORMAT_INVALID,
		/* 0xfc */ FORMAT_INVALID,
		/* 0xfd */ FORMAT_INVALID,
		/* 0xfe */ FORMAT_INVALID,
		/* 0xff */ FORMAT_INVALID
	};

}
